using System;

public class Complex
{
	private double real;
	private double imaginary;

	public Complex(double real, double imaginary)
	{
		this.real = real;
		this.imaginary = imaginary;
	}

	public double Real
	{
		get { return this.real; }
	}

	public double Imaginary
	{
		get { return this.imaginary; }
	}

	public static Complex operator+(Complex c1, Complex c2)
	{
		return new Complex(c1.real + c2.real, c1.imaginary + c2.imaginary);
	}
}

public class EntryPoint
{
	public static void Main(string[] args)
	{
		DateTime dt = DateTime.Now;

		Complex c = new Complex(0.0, 0.0);
		for (int i = 0; i < 10000000; ++i)
		{
			c = c + new Complex(0.1, 0.01);
		}

		Console.WriteLine("Xg3-2̎sɂԂ{0}łB", DateTime.Now - dt);
	}
}
