using System;
using System.Collections;

public struct Complex
{
	private double real;
	private double imaginary;

	public Complex(double real, double imaginary)
	{
		this.real = real;
		this.imaginary = imaginary;
	}

	public double Real
	{
		get { return this.real; }
	}

	public double Imaginary
	{
		get { return this.imaginary; }
	}
}

public class EntryPoint
{
	public static void Main(string[] args)
	{
		DateTime dt = DateTime.Now;

		IList l = new ArrayList();
		for (int i = 0; i < 1000000; ++i)
		{
			l.Add(new Complex(0.1, 0.01));
		}

		Complex complex = new Complex(0.0, 0.0);
		foreach (Complex c in l)
		{
			complex = new Complex(complex.Real + c.Real, complex.Imaginary + c.Imaginary);
		}

		Console.WriteLine("Xg5_3̎sɂԂ{0}łB", DateTime.Now - dt);
	}
}
