using System;

//	Cxg̈B
public class HogeEventArgs: EventArgs
{
	private string message;

	public string Message
	{
		get { return this.message; }
	}

	public HogeEventArgs(string message): base()
	{
		this.message = message;
	}
}

//	delegate̐錾B
public delegate void HogeEventHandler(object sender, HogeEventArgs e);

public class HogeComponent
{
	//	delegate^̕ϐ錾B
	public HogeEventHandler Hoge;

	private void OnHoge(HogeEventArgs e)
	{
		//	null`FbNŁccB
		if (this.Hoge != null)
		{
			//	delegateĂяoB
			this.Hoge(this, e);
		}
	}

	//	[ŨANVȂǂŌĂяo郁\bhB
	public void DoHoge(string message)
	{
		this.OnHoge(new HogeEventArgs(message));
	}
}

public class EntryPoint
{
	public static void Main()
	{
		//	R|[lg̍쐬B
		HogeComponent hogeComponent = new HogeComponent();

		//	delegate̒ǉB
		//	Visual Studio .NET́AASP.NETł̃̕R[hB
		hogeComponent.Hoge += new HogeEventHandler(EntryPoint.HogeComponent_Hoge1);
		hogeComponent.Hoge += new HogeEventHandler(EntryPoint.HogeComponent_Hoge2);

		//	[IɃCxg𔭐B
		hogeComponent.DoHoge("Cxg𔭐Ȃ΂ȂȂ悤ȏs܂B");
	}

	//	_~[̃CxgEnhB
	public static void HogeComponent_Hoge1(object sender, HogeEventArgs e)
	{
		Console.WriteLine("HogeComponent_Hoge1: " + e.Message);
	}
	public static void HogeComponent_Hoge2(object sender, HogeEventArgs e)
	{
		Console.WriteLine("HogeComponent_Hoge2: " + e.Message);
	}
}
