using System;

public interface IAnimal
{
	string Howl();
}

public struct Dog: IAnimal
{
	public string Howl()
	{
		return "BARK!";
	}
}

public struct Cat: IAnimal
{
	public string Howl()
	{
		return "MEOW!";
	}
}


public class EntryPoint
{
	public static void Main(string[] args)
	{
		IAnimal animal = new Random().Next() % 2 == 0 ? (IAnimal)new Dog() : (IAnimal)new Cat();
		Console.WriteLine(animal.Howl());

		if (animal is Dog)
		{
			Dog dog = (Dog)animal;
		}
	}
}
